Completed trades summary
curl --request GET \
--url https://api.hypedexer.com/completed-trades/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/completed-trades/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/completed-trades/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Summary generated",
"data": {
"total_trades": 85944,
"total_pnl": 385654.17053600005,
"avg_pnl_pct": 0.11990387188704589,
"avg_duration_s": 48837.822977752956,
"total_fees": 0,
"total_volume": 14274964822.116814,
"time_range": {
"start": "2025-09-19T05:47:54.934000",
"end": "2026-09-19T06:57:17.368000"
},
"direction_breakdown": [
{
"direction": "short",
"count": 43017,
"total_pnl": 2597619.3502979986
},
{
"direction": "long",
"count": 42927,
"total_pnl": -2211965.1797620025
}
],
"top_coins": [
{
"coin": "HYPE",
"trade_count": 3205,
"total_pnl": 448136.66844500153,
"total_volume": 693806621.120858
},
{
"coin": "ZEC",
"trade_count": 3082,
"total_pnl": -410406.15864799946,
"total_volume": 608141577.2059263
},
{
"coin": "FARTCOIN",
"trade_count": 2025,
"total_pnl": 101328.0988959996,
"total_volume": 267412414.6500905
},
{
"coin": "ASTER",
"trade_count": 1903,
"total_pnl": -29518.903476000072,
"total_volume": 174467002.2072597
},
{
"coin": "TAO",
"trade_count": 1726,
"total_pnl": -19617.718512000265,
"total_volume": 236191474.12447086
},
{
"coin": "PUMP",
"trade_count": 1630,
"total_pnl": 78542.41807199981,
"total_volume": 251821744.80018547
},
{
"coin": "PENGU",
"trade_count": 1464,
"total_pnl": 42647.75580599979,
"total_volume": 138108600.38720602
},
{
"coin": "VVV",
"trade_count": 1380,
"total_pnl": -5828.120728000908,
"total_volume": 150137458.0669882
},
{
"coin": "VIRTUAL",
"trade_count": 1360,
"total_pnl": 73639.813303,
"total_volume": 169135754.4882354
},
{
"coin": "ENA",
"trade_count": 1258,
"total_pnl": -16683.619559999755,
"total_volume": 169977050.53480107
}
]
},
"total_count": null,
"execution_time_ms": null,
"next_cursor": null,
"has_more": null
}Completed Trades
Completed trades summary
GET
/
completed-trades
/
summary
Completed trades summary
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.
Headers
Query Parameters
Available options:
long, short